Skip to main content
`Ctrl`+`K`

# skbio.diversity.alpha.osd

skbio.diversity.alpha.osd(counts)

  Calculate observed taxa, singletons, and doubletons.

  Parameters:
    counts 1-D array_like, int

      Vector of counts.

  Returns:
    osd tuple

      Numbers of observed taxa, singletons, and doubletons.

  See also

  `sobs`
  `singles`
  `doubles`

  Notes

  This is a convenience function used by many of the other measures that rely on these three measures.